Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.ofd.OFDPage Class Reference
Inheritance diagram for com.foxit.sdk.addon.ofd.OFDPage:

## Public Member Functions
| OFDPage ()
| Constructor.
| OFDPage (OFDPage other)
| Constructor, with another OFD page object.
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
Matrix2D | getDisplayMatrix (int left, int top, int width, int height, int rotate) throws com.foxit.sdk.PDFException
| Get display matrix. More...
float | getHeight () throws com.foxit.sdk.PDFException
| Get page height (unit is 1/72 inch). More...
float | getWidth () throws com.foxit.sdk.PDFException
| Get page width (unit is 1/72 inch). More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | release ()
| Release current OFD page object. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

This class is used to get information of an OFD page. Please ensure common.Library.initializeOFDEngine has been called successfully before using this class.

See also
  com.foxit.sdk.common.Library

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.ofd.OFDPage.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getDisplayMatrix()

Matrix2D com.foxit.sdk.addon.ofd.OFDPage.getDisplayMatrix | ( | int | left,
|  | int | top,
|  | int | width,
|  | int | height,
|  | int | rotate
| ) |  | throws com.foxit.sdk.PDFException

Get display matrix.

This function is used to get a matrix for displaying the page.

Parameters

  [in] | left | Left position of the display area.
  [in] | top | Top position of the display area.
  [in] | width | Width of the display area.
  [in] | height | Height of the display area.
  [in] | rotate | Rotation of the display area. Please refer to values starting from com.foxit.sdk.common.Constants.e_Rotation0 and this should be one of these values.

Returns
  A matrix for displaying the page.

## ◆ getHeight()

float com.foxit.sdk.addon.ofd.OFDPage.getHeight | ( |  | ) | throws com.foxit.sdk.PDFException

Get page height (unit is 1/72 inch).

Returns
  Page height.

## ◆ getWidth()

float com.foxit.sdk.addon.ofd.OFDPage.getWidth | ( |  | ) | throws com.foxit.sdk.PDFException

Get page width (unit is 1/72 inch).

Returns
  Page width.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.ofd.OFDPage.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ release()

void com.foxit.sdk.addon.ofd.OFDPage.release | ( |  | ) |

Release current OFD page object.

Please call this function before common.Library.releaseOFDEngine to release current OFD page object.

Returns
  None.